@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&family=Source+Sans+Pro:wght@400;700&display=swap");

:root {
    /* Couleurs */
    --color-bg: #fbfdfa;
    --color-primary: #202124;
    --color-primary-hover: #459fdd;
    --color-text: #000;
    --color-secondary-text: #8181a5;
    --color-input-bg: #fff;
    --color-input-border: #aaa;
    --color-input-placeholder: #ccc;
    --color-input-label: #aaa;
    --color-green-button: #29af00;
    --colore-red-button: #ff1414;
    --colore-red-button-hover: #b41717;

    /* Tailles de police */
    --font-size-base: 1rem;
    --font-size-title: 2rem;
    --font-size-subtitle: 1.75rem;
    --font-size-h3: 1.25rem;
    --font-size-btn: 1rem;
    --font-size-label: 1.25rem;

    /* Autres variables */
    --border-radius: 0.75rem;
    --btn-padding: 0.9375rem 0;
    --btn-width: 100%;
}

body {
    font-family: "Montserrat", sans-serif;
    background-color: var(--color-bg);
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 0;
    margin: 0;
    font-size: var(--font-size-base);
    
}

h3 {
    font-weight: 600;
    margin-left: 10px;
    margin-bottom: 5px;
    font-size: var(--font-size-h3);
}

.btn-primary {
    font-family: "Montserrat", sans-serif;
    background-color: var(--color-primary) !important;
    color: white;
    border-radius: var(--border-radius) !important;
    font-weight: 700;
    font-size: var(--font-size-btn) !important;
    display: block;
    width: var(--btn-width) !important;
    padding: var(--btn-padding) !important;
    margin: 10px auto;
    text-align: center;
    border: none  !important;
}


.btn-primary:hover {
    background-color: var(--color-primary-hover);
}

.btn-danger {
    font-family: "Montserrat", sans-serif;
    background-color: var(--colore-red-button) !important;
    color: white;
    border-radius: var(--border-radius) !important;
    font-weight: 700;
    font-size: var(--font-size-btn) !important;
    display: block;
    width: var(--btn-width) !important;
    padding: var(--btn-padding) !important;
    margin: auto;
    text-align: center;
    border: none  !important;
}
.btn-danger:hover {
    background-color:var(--colore-red-button-hover) !important;
}

.input-forgot {
    color: var(--color-text);
    font-size: var(--font-size-label);
    font-weight: 400;
    line-height: normal;
}

.input-field {
    background: var(--color-input-bg);
    color: var(--color-input-placeholder);
    border: 1px solid var(--color-input-border);
    padding-right: 30px;
}

.input {
    color: var(--color-text);
    font-size: var(--font-size-label);
    font-weight: 400;
    line-height: normal;
}

.input-icon {
    top: 50%;
    transform: translateY(-50%);
}

@media (max-width: 480px) {
    .email-input {
        height: 30px;
    }
    .input-icon i {
        font-size: 0.9rem;
        right: 6px;
    }
    .email-label {
        font-size: 0.9rem;
    }
}

@media (max-width: 768px) {
    .email-input {
        height: 35px;
    }
    .input-icon i {
        font-size: 1rem;
        right: 8px;
    }
    .email-label {
        font-size: 1rem;
    }
    
}

.input-container {
    margin-bottom: 1rem;
    position: relative;
}

.email-label {
    display: block;
    margin-bottom: 0.5rem;
    font-weight: bold;
}

#code-inputs input {
    text-align: center;
    width: 3rem;
    height: 3rem;
}

.btn-submit {
    display: flex;
    align-items: center;
    border-radius: var(--border-radius);
    padding: 0.9375rem 7.5rem;
    justify-content: center;
    background-color: var(--color-primary);
    color: white;
    font-size: var(--font-size-btn);
    font-weight: 700;
    text-transform: uppercase;
    width: 19.8125rem;
    height: 3.125rem;
}

.form-container {
    width: 29.5625rem;
    height: 28.8125rem;
    margin: 0 auto;
    border-radius: 0.25rem;
    border: 0.0625rem solid #000;
    background: var(--color-input-bg);
    display: flex;
    align-items: center;
    justify-content: center;
}

.sous-titre {
    min-width: 100%;
    color: var(--color-text);
    font-size: var(--font-size-subtitle);
}

.form-title {
    font-size: var(--font-size-subtitle);
    text-align: left;
    font-weight: 600;
}

.form-description {
    color: var(--color-secondary-text);
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.3125rem;
}

.container-forgot {
    max-width: 65%;
    background: var(--color-bg);
}

.title-forgot {
    width: 31.625rem;
    color: var(--color-text);
    font-size: var(--font-size-title);
    font-weight: 600;
    line-height: 2.625rem;
    white-space: nowrap;
    letter-spacing: -2px;
}

.textLink-forgot {
    color: var(--color-text);
    font-family: "Montserrat", sans-serif;
    font-size: var(--font-size-label);
    font-weight: 400;
    text-decoration: underline;
    border: none;
    background-color: var(--color-input-bg);
}

.mobile-login-logo {
    width: 10em;
}

.shared-layout-main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.recovery-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem;
}

.recovery-container > * {
    width: 100%;
}

.previous-arrow {
    width: 2rem;
}

.previous-arrow-container {
    width: 100%;
    padding-left: 1rem;
    margin-bottom: 3rem;
    margin-top: 3rem;
}

.recovery-return-link {
    display: none;
    text-align: center;
}

@media (min-width: 576px) {
    .recovery-container {
        max-width: 75%;
    }

    .login-container {
        max-width: 75%;
    }
}

@media (min-width: 768px) {
    .recovery-container {
        max-width: 50%;
    }

    .login-container {
        max-width: 50%;
    }
}

@media (min-width: 1024px) {
    .recovery-return-link {
        display: inline;
    }

    .previous-arrow-container {
        display: none;
    }

    .recovery-container {
        margin-top: 121px;
        max-width: 30%;
    }

    .login-container {
        max-width: 30%;
    }
}

.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5rem;
    padding: 1rem;
    width: 100%;
}

.login-textbox {
    width: 100%;
    padding: 1rem;
    margin-top: 2rem;
}

.back-button {
   bottom: 20px;
   background-color: #202124;
   color: white;
   border: none;
   padding: 10px 15px !important;
   font-size: 15px;
   font-weight: bold;
   border-radius: 8px;
   display: flex;
   justify-content: center;
   align-items: center;
   cursor: pointer !important;
   outline: none;
   width: 75%;
   height: 50px;
   text-decoration: none;
   z-index: 1000; 
}

.custom-toast {
    font-size: 20px;
    font-weight: bolder;
    padding: 15px 20px;
    width: 400px;
    height: 130px;
    border-radius: 10px;
}
